cayenne-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dkazimirc...@apache.org
Subject [16/16] cayenne git commit: CAY-2060 Add note about upgrading *.map.xml files in 4.0.M4.
Date Fri, 19 Feb 2016 14:07:40 GMT
CAY-2060 Add note about upgrading *.map.xml files in 4.0.M4.


Project: http://git-wip-us.apache.org/repos/asf/cayenne/repo
Commit: http://git-wip-us.apache.org/repos/asf/cayenne/commit/a6c43835
Tree: http://git-wip-us.apache.org/repos/asf/cayenne/tree/a6c43835
Diff: http://git-wip-us.apache.org/repos/asf/cayenne/diff/a6c43835

Branch: refs/heads/master
Commit: a6c438354ff1d80e8d9a60e50df76f7c9af644b6
Parents: 20e435d
Author: Dzmitry Kazimirchyk <dkazimirchyk@gmail.com>
Authored: Fri Feb 19 15:31:37 2016 +0300
Committer: Dzmitry Kazimirchyk <dkazimirchyk@gmail.com>
Committed: Fri Feb 19 16:58:02 2016 +0300

----------------------------------------------------------------------
 docs/doc/src/main/resources/UPGRADE.txt | 5 +++++
 1 file changed, 5 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cayenne/blob/a6c43835/docs/doc/src/main/resources/UPGRADE.txt
----------------------------------------------------------------------
diff --git a/docs/doc/src/main/resources/UPGRADE.txt b/docs/doc/src/main/resources/UPGRADE.txt
index 5e30bce..6887e19 100644
--- a/docs/doc/src/main/resources/UPGRADE.txt
+++ b/docs/doc/src/main/resources/UPGRADE.txt
@@ -4,6 +4,11 @@ Apache Cayenne Upgrade Information
 IMPORTANT: be sure to read all notes for the intermediate releases between your
            current release and the release you are upgrading to.
 -------------------------------------------------------------------------------
+UPGRADING TO 4.0.M4
+
+* 4.0.M4 changes the way queries are stored in the mapping files, so all existing *.map.xml
files should be upgraded.
+  To do that open each of your existing projects in the new CayenneModeler. Agree to perform
an upgrade when asked.
+
 UPGRADING TO 4.0.M3
 
 * Per CAY-2026 minimal Java version is now 1.7. If you are still need Java 1.6, you can use
Cayenne 3.1 or 4.0.M2 until your


Mime
View raw message